package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-21 10:00:18
 */
@Data
@TableName("eartag_date")
public class EartagDateEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId
	private Integer id;
	/**
	 * 命令头
	 */
	private String messageHead;
	/**
	 * 设备id
	 */
	private String boxId;
	/**
	 * 命令
	 */
	private String messageCmd;
	/**
	 * 版本号
	 */
	private String boxVersion;
	/**
	 * 耳标号
	 */
	private String eartagId;
	/**
	 * 耳标电量
	 */
	private Integer eartagPower;
	/**
	 * 内部温度
	 */
	private Double boxInsideTemp;
	/**
	 * 耳标温度
	 */
	private Double eartagTemp;
	/**
	 * 电阻值
	 */
	private Integer ntc;
	/**
	 * 运动量
	 */
	private Integer countSport;
	/**
	 * 区间运动量
	 */
	private Integer gapSport;
	/**
	 * 重启数
	 */
	private Integer retstartTimes;
	/**
	 * rssyi
	 */
	private Integer rssyi;
	/**
	 * 上传时间
	 */
	private Date createTime;
	/**
	 * 环境温度
	 */
	private Double environmentTemp;
	/**
	 * 校验码
	 */
	private Integer checkNumber;
	/**
	 * 命令尾
	 */
	private String messageEnd;
	/**
	 * 牧场名称
	 */
	private Integer farmName;
	/**
	 * 备用字段 1
	 */
	private String backFirst;
	/**
	 * 备用字段2
	 */
	private String backSecong;
	/**
	 * 备用字段3
	 */
	private String backThird;
	/**
	 * 备注
	 */
	private String remark;

}
