package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 转栏记录表
 * 
 * @author yinhao
 * @version 1.0
 * @date 2021-06-18 18:18:52
 */
@Data
@TableName("mgt_transfer_period_log")
public class TransferPeriodLogEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId
	private Integer id;
	/**
	 * 牧场id
	 */
	private Integer farmId;
	/**
	 * 猪id
	 */
	private Integer pigId;
	/**
	 * 猪耳标
	 */
	private String earTag;
	/**
	 * 旧猪舍
	 */
	private Integer oldPigstyId;
	/**
	 * 新猪舍
	 */
	private Integer newPigstyId;
	/**
	 * 旧单元
	 */
	private Integer oldUnitId;
	/**
	 * 新单元
	 */
	private Integer newUnitId;
	/**
	 * 旧栏期
	 */
	private Integer oldPeriodId;
	/**
	 * 新栏期
	 */
	private Integer newPeriodId;
	/**
	 * 创建时间
	 */
	@TableField(fill = FieldFill.INSERT)
	private Date gmtCreate;
	/**
	 * 修改时间
	 */
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private Date gmtModified;
	/**
	 * 操作人
	 */
	private String operatorUsername;

}
