package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.BaseBloodlineDao;
import com.huimv.management.entity.BaseBloodlineEntity;
import com.huimv.management.service.BaseBloodlineService;


@Service("baseBloodlineService")
public class BaseBloodlineServiceImpl extends ServiceImpl<BaseBloodlineDao, BaseBloodlineEntity> implements BaseBloodlineService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<BaseBloodlineEntity> page = this.page(
                new Query<BaseBloodlineEntity>().getPage(params),
                new QueryWrapper<BaseBloodlineEntity>()
        );

        return new PageUtils(page);
    }

}