package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.HealthSymptomDao;
import com.huimv.management.entity.HealthSymptomEntity;
import com.huimv.management.service.HealthSymptomService;


@Service("healthSymptomService")
public class HealthSymptomServiceImpl extends ServiceImpl<HealthSymptomDao, HealthSymptomEntity> implements HealthSymptomService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<HealthSymptomEntity> page = this.page(
                new Query<HealthSymptomEntity>().getPage(params),
                new QueryWrapper<HealthSymptomEntity>()
        );

        return new PageUtils(page);
    }

}