package com.huimv.management.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.PageUtils;
import com.huimv.management.entity.WarningInfoEntity;
import com.huimv.management.entity.dto.WarningInfoDto;

import java.util.Map;

/**
 * <p>
 * 报警信息Service
 * </p>
 *
 * @author yinhao
 * @version 1.0
 * @date 2021-06-15 13:01:37
 */
public interface WarningInfoService extends IService<WarningInfoEntity> {

    /**
     * 分页条件查询
     * @param params
     * @return
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 报警信息确认
     * @param warningInfoDto
     */
    void verify(WarningInfoDto warningInfoDto);
}

